Visibility (Groovy 4.0.15)
Description: declaration: package: groovy.transform.options, enum: Visibility

Package groovy.transform.options

# Enum Visibility

java.lang.Object
java.lang.Enum<Visibility>
groovy.transform.options.Visibility

All Implemented Interfaces:
  `Serializable`, `Comparable<Visibility>`, `java.lang.constant.Constable`

public enum Visibility extends Enum<Visibility>
Indicates the visibility of a node.

Since:
  2.5.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PACKAGE_PRIVATE`
  `PRIVATE`
  `PROTECTED`
  `PUBLIC`
  `UNDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getModifier()`
  `static Visibility`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Visibility[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PUBLIC

    public static final Visibility PUBLIC

  - ### PROTECTED

    public static final Visibility PROTECTED

  - ### PACKAGE_PRIVATE

    public static final Visibility PACKAGE_PRIVATE

  - ### PRIVATE

    public static final Visibility PRIVATE

  - ### UNDEFINED

    public static final Visibility UNDEFINED

- ## Method Details

  - ### values

    public static Visibility[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Visibility valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getModifier

    public int getModifier()